Download it now!
Bug 120791 - KDE5: Window's size and position not remember after leaving Full Screen mode
Summary: KDE5: Window's size and position not remember after leaving Full Screen mode
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords:
: 122275 123522 (view as bug list)
Depends on:
Blocks: KDE Full-Screen-Mode
  Show dependency treegraph
 
Reported: 2018-10-22 13:39 UTC by Xisco Faulí
Modified: 2019-03-21 16:11 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screencast to demonstrate changed position (5.44 MB, video/x-matroska)
2019-02-12 08:24 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-10-22 13:39:44 UTC
Steps to reproduce:
1. Open writer and maximize the window
2. Go to View - Full Screen
3. Press Esc key

-> LibreOffice should come back to the same position and size

reproduce it in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

but not in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 1 Michael Weghorn 2018-10-22 17:55:57 UTC
Reproduced with

Version: 6.2.0.0.alpha1+
Build ID: cd9aa5bc508244082b4baf4a3094875bf2c6f992
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); Calc: threaded
Comment 2 Vera Blagoveschenskaya 2018-10-23 11:03:27 UTC
Minimal window is reproduced also in the following case:

1) Call libreoffice with gtk3
$ SAL_USE_VCLPLUGIN=gtk3 libreoffice6.2 --writer
2) Maximize the window
3) Close the window
4) Open libreoffice with kde5

Result: window opens with the minimum size

Version: 6.2.0.0.alpha1
Build ID: ff46ad24d1d3cbcea45895520483ed1fd4ff488b
CPU threads: 1; OS: Linux 4.14; UI render: default; VCL: kde5; 
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded
Comment 3 Xisco Faulí 2018-12-27 10:17:08 UTC
*** Bug 122275 has been marked as a duplicate of this bug. ***
Comment 4 Katarina Behrens (Inactive) 2019-02-11 13:25:31 UTC
Peeps please test with daily (no older than of 12th Feb) if this is still happening. I might've accidentaly fixed it along with bug 119853
Comment 5 Michael Weghorn 2019-02-11 14:39:54 UTC
(In reply to Katarina Behrens (CIB) from comment #4)
> Peeps please test with daily (no older than of 12th Feb) if this is still
> happening. I might've accidentaly fixed it along with bug 119853

I've retested with master as of commit 3b5dd1d49e3b5d669d020f0b268625b106c1c661 on Debian testing and Plasma:

* the size is now restored remembered correctly (for original scenario and for that in comment 2)
* position is not remembered for original scenario (but is for scenario in comment 2 except that non-maximized window is used)
Comment 6 Katarina Behrens (Inactive) 2019-02-11 19:57:59 UTC
> * position is not remembered for original scenario (but is for scenario in
> comment 2 except that non-maximized window is used)

O rly, does this apply to both dual and single screen?
Comment 7 Michael Weghorn 2019-02-12 08:24:26 UTC
Created attachment 149202 [details]
Screencast to demonstrate changed position

(In reply to Katarina Behrens (CIB) from comment #6)
> O rly, does this apply to both dual and single screen?

In my case, yes. Attached screencast is with a single screen, but the same happens with dual screen.
Comment 8 Commit Notification 2019-03-04 16:16:33 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e8e274b50658e1f9c2f40ce05249f7c857aeba64%5E%21

tdf#120791: restore window geometry coming back from fullscreen

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Katarina Behrens (Inactive) 2019-03-04 17:26:56 UTC
Now position and size gets restored going fullscreen w/ Writer and Calc but anything else e.g. slideshow in dual screen setup, I'm not sure

Plus there is this:
> (but is for scenario in comment 2 except that non-maximized window is used)

It is not easily possible to restore maximized state of the window bc of

"[isMaximized function] due to limitations on some window systems, this does not always report the expected results (e.g., if the user on X11 maximizes the window via the window manager, Qt has no way of distinguishing this from any other resize). This is expected to improve as window manager protocols evolve." [1]

I tried to use it when returning from fullscreen, but if the result of 'was this window fullscreen before?' is wrong, it makes matters much worse

[1] source: https://doc.qt.io/qt-5/qwidget.html#maximized-prop
Comment 10 Katarina Behrens (Inactive) 2019-03-15 08:31:35 UTC
Ah whatever, fixed. The fact that maximized bit is not remembered is NOTOURBUG
Comment 11 Xisco Faulí 2019-03-21 13:34:40 UTC
*** Bug 123522 has been marked as a duplicate of this bug. ***
Comment 12 Commit Notification 2019-03-21 16:11:37 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/c4e9ed5f2614ae69f838cfca4621e1ecc56cba9b%5E%21

tdf#120791: restore window geometry coming back from fullscreen

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.